May 052012
 

Dopo l’aggiornamento di alcuni pacchetti per Kdenlive ha smesso di funzionare digikam che avevo già aggiornato alla verisone 2.6.0 beta3. Per risolvere il problema ho dovuto aggiornare due pacchetti che avevano problemi con GCC 4.7.0.

  • ffmpeg 0.8.11
  • OpenCV 2.4.0

Ad esempio OpenCV in compilaziona dava l’errore

mentre Digikam si fermava senza messaggi significativi a questo punto

May 042012
 

Kdenlive è uno di quei programmi le cui dipendenze possono far venire il mal di testa :). Con un po’ di pazienza si arriva comunque a compilarlo.

Si prendono i seguenti pacchetti da Slackbuils.org

  • mlt 0.7.8  (dipendenze libdv 1.0.0, ffmpeg 0.8.7)
  • qjson 0.7.1
  • recordmydesktop 0.3.8.1
  • dvgrab 3.5 (dipendenze libiec61883 1.2.0, libavc1394 0.5.3)
  • dvdauthor 0.7.0
  • x264 20111105
  • xvidcore 1.3.2
  • schroedinger 1.0.11 (dipendenze orc 0.4.16)
  • lame 3.99
  • libquicktime 1.2.4 (dipendenze faac 1.28, faad2 2.7, gsm 1.0.13, amrnb 7.0.0.2)
  • faac 1.28 (dipendenze libmp4v2 )
  • frei0r 1.3
  • speex 1.2rc1

Ffmpeg va compilato abilitando tutte le dipendenze aggiunte

Infine si modifica lo slackbuild per cambiare la versione (ovviamente) e per applicare una piccola patch

May 032012
 

Blender è arrivato alla versione 2.63. Lo slackbuild non è cambiato. Cercherò di creare uno slackbuild a partire dal sorgente.

Per abilitare il motore di rendering Cycles in modo da usare CUDA e la mia scheda grafica, andare in User Preferences - System e abilitare il Compute Device su CUDA